%define target avr

Name:           cross-%{target}-binutils
Version:        2.23.2
Release:        %mkrel 6
Epoch:		1
Summary:        Cross Compiling GNU binutils targeted at %{target}
Group:          Development/Other 
License:        GPLv2+
URL:            http://www.gnu.org/software/binutils/
Source0:        ftp://ftp.gnu.org/pub/gnu/binutils/binutils-%{version}.tar.gz
Source1:        README.mageia
Patch0:		binutils-2.23.2-textinfo-fixes.patch
BuildRequires:  gawk 
BuildRequires:  texinfo

Obsoletes:      %{target}-binutils < 1:2.21
Provides:       %{target}-binutils = %epoch:%version-%release

%description
This is a Cross Compiling version of GNU binutils, which can be used to
assemble and link binaries for the %{target} platform, instead of for the
native %{_arch} platform.

#--------------------------------------------------------------------

%prep
%setup -q -c
%autopatch -p1

cp %{SOURCE1} .

%build
mkdir -p build
pushd build
CFLAGS="$RPM_OPT_FLAGS" ../binutils-%{version}/configure --prefix=%{_prefix} \
  --libdir=%{_libdir} --mandir=%{_mandir} --infodir=%{_infodir} \
  --target=%{target} --disable-werror --disable-nls
make %{?_smp_mflags}
popd


%install
pushd build
make install DESTDIR=$RPM_BUILD_ROOT
popd
# these are for win targets only
rm $RPM_BUILD_ROOT%{_mandir}/man1/%{target}-{dlltool,nlmconv,windres}.1
# we don't want these as we are a cross version
rm -r $RPM_BUILD_ROOT%{_infodir}
rm    $RPM_BUILD_ROOT%{_libdir}/libiberty.a

%files
%doc binutils-%{version}/COPYING binutils-%{version}/COPYING.LIB
%doc binutils-%{version}/README README.mageia
%{_prefix}/%{target}
%{_bindir}/%{target}-*
%{_mandir}/man1/%{target}-*.1.xz



%changelog
* Fri Feb 05 2016 umeabot <umeabot> 1:2.23.2-6.mga6
+ Revision: 939342
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:2.23.2-5.mga5
+ Revision: 746445
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:2.23.2-4.mga5
+ Revision: 678591
- Mageia 5 Mass Rebuild

* Wed Mar 26 2014 pterjan <pterjan> 1:2.23.2-3.mga5
+ Revision: 608740
- Fix popd call
- Drop old tarball

* Mon Oct 21 2013 umeabot <umeabot> 1:2.23.2-2.mga4
+ Revision: 540634
- Mageia 4 Mass Rebuild

* Wed Oct 09 2013 juergen_harms <juergen_harms> 1:2.23.2-1.mga4
+ Revision: 494068
- add patch to correct calling texinfo functions colophon and cygnus
- upgrade to new upstream version = binutils-2.23.2

* Thu Apr 11 2013 juergen_harms <juergen_harms> 1:2.23-1.mga3
+ Revision: 409666
- use new upstream version (i.e. binutils-2.23)
- change of source compresion (and name) bz2 -> gz
- modify Mageia package version and release

* Fri Jan 11 2013 umeabot <umeabot> 1:2.20-2.mga3
+ Revision: 348301
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 10 2012 dmorgan <dmorgan> 1:2.20-1.mga2
+ Revision: 194553
- Replace avr-binutils by cross-avr-binutils

  + kicer86 <kicer86>
    - Group changed to Development/Other

* Sun Jul 17 2011 kicer86 <kicer86> 2.21-1.mga2
+ Revision: 125248
- prefix set to %%{_libdir}
- lots of cleanups
- Added _exec_prefix definition. With it avr related stuff goes to /usr/lib/avr
- License and URL corrections
- imported package cross-avr-binutils


* Sat Jun 25 2011 Michał Walenciak <kicer86 at gmail.com>
- first Mageia spec

* Tue Nov 28 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added explicit libdirs for x86_64 build

* Sat Jul  3 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- added prefix macros, updated to 2.15
- added buildrequires, fixed file lists

* Mon Nov 9 2002 Yukio Mituiwa <mituiwa@linet.gr.jp>
- initialization of spec file.
